package a.c.d.k;

public class b {
    private static String a(String str, String str2) {
        try {
            Class<?> cls = Class.forName("android.os.SystemProperties");
            return (String) cls.getMethod("get", String.class, String.class).invoke(cls, str, str2);
        } catch (Exception e) {
            e.printStackTrace();
            return str2;
        }
    }

    public static boolean a() {
        String a2 = a("ucar.test.action", "false");
        return a2 != null && a2.equals("true");
    }

    public static boolean b() {
        String a2 = a("ucar.test.mode", "false");
        return a2 != null && a2.equals("true");
    }
}
